Groovy 1.7.10

## groovy.swing.impl
[Java] Class DefaultAction

    java.lang.Object
      javax.swing.AbstractAction
          groovy.swing.impl.DefaultAction

    public class DefaultAction
    extends AbstractAction

A default action implementation

Authors:
  James Strachan

Version:
  \$Revision: 6778 \$

Field Summary

Fields inherited from class AbstractAction
DEFAULT, NAME, SHORT_DESCRIPTION, LONG_DESCRIPTION, SMALL_ICON, ACTION_COMMAND_KEY, ACCELERATOR_KEY, MNEMONIC_KEY, SELECTED_KEY, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY

Method Summary
`void` | `actionPerformed(ActionEvent event)`
`Closure` | `getClosure()`
`void` | `setClosure(Closure closure)`

Methods inherited from class AbstractAction
getValue, getKeys, putValue, setEnabled, isEnabled, addPropertyChangeListener, removePropertyChangeListener, getPropertyChangeListeners, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll, actionPerformed

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent event)

### getClosure

    public Closure getClosure()

### setClosure

    public void setClosure(Closure closure)

Copyright © 2003-2010 The Codehaus. All rights reserved.